petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGetReusePreconditioner

Determines if the PC reuses the current preconditioner even if the operator in the preconditioner has changed.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetReusePreconditioner(PC pc,PetscBool *flag)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

flag -PETSC_TRUE do not compute a new preconditioner, PETSC_FALSE do compute a new preconditioner

### See Also

PCGetOperators(), MatZeroEntries(), PCSetReusePreconditioner()

### Level

intermediate

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages